<?php

class exhibitor
	{
		var $obj1;
		var $con;
		// constructor
		function __construct()
		{
			$this->obj1 = new dboperations();
			$this->con = $this->obj1-> dbconnect();
			
		}
		
		function getexhibitor($exhibitorpageid='',$fields='*',$sql='')
		{
			if ($exhibitorpageid!='')
			{
				$sqltext = "Select $fields from mstexhibitorpage where exhibitorpageid='".$exhibitorpageid."'";
			}
			else if($sql!='')
			{
				$sqltext = $sql;
			}
			else
			{
				$sqltext = "Select $fields from mstexhibitorpage";
			}
			//echo $sqltext;
			$prodapps = $this->obj1->select_query($sqltext);
			
			if ($prodapps)
			{
				$numrows = $this->obj1->numRows($prodapps);
			}
			if ($numrows ==1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}	
			}
			else if($numrows > 1)
			{
				while ($prodappslist = mysqli_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}
			}
			return $prodappstr;
		}
		
		
		function addexhibitor($applicationdata)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnames =  "(";
				$fieldvalues = "(";
				foreach ($applicationdata as $k => $v) 
				{
					
					$fieldnames .=  ($fieldnames=="(")?"$k":",$k";
					$fieldvalues .= ($fieldvalues=="(")?"'$v'":",'$v'";
				}
				$sqltext = "insert into mstexhibitorpage ".$fieldnames.") values ".$fieldvalues.")";
				//echo $sqltext;
				$applications = $this->obj1->insert_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
		function editexhibitor($applicationdata,$wherecondition)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnamesvalues =  "set ";
				
				foreach ($applicationdata as $k => $v) 
				{
					$fieldnamesvalues .=  ($fieldnamesvalues =="set ")?"$k='$v'":",$k='$v'";
				}
				$sqltext = "update mstexhibitorpage ".$fieldnamesvalues." where ".$wherecondition ;
				//echo $sqltext;
				$applications = $this->obj1->update_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
	}
